import type { OutputLanguage } from './languages';
export type ExportMode = 'Query' | 'Pipeline' | 'Delete Query' | 'Update Query';
type WithExportMode = {
    exportMode?: ExportMode;
};
type AggregationExpression = {
    aggregation: string;
};
type QueryExpression = {
    filter: string;
    project?: string;
    sort?: string;
    collation?: string;
    skip?: string;
    limit?: string;
    maxTimeMS?: string;
};
export declare function isQuery(exportMode?: ExportMode): boolean;
export type InputExpression = WithExportMode & (AggregationExpression | QueryExpression);
export declare function getInputExpressionMode(inputExpression: InputExpression): ExportMode;
type RunTranspilerOptions = {
    inputExpression: InputExpression;
    outputLanguage: OutputLanguage;
    includeImports: boolean;
    includeDrivers: boolean;
    useBuilders: boolean;
    uri: string;
    namespace: string;
    protectConnectionStrings: boolean;
};
export declare function runTranspiler({ inputExpression, outputLanguage, includeImports, includeDrivers, useBuilders, uri, namespace, protectConnectionStrings, }: RunTranspilerOptions): string;
export {};
//# sourceMappingURL=transpiler.d.ts.map